blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
b7ae6802086d29cab94beb1a98206968cd3ec912 | Shell | arnoldrobbins/gt-swt | /swt/src/lcl/std.sh/mkclist.sh | UTF-8 | 546 | 2.59375 | 3 | [] | no_license | # mkclist --- make command list for the backstop process
declare _search_rule = "^int,=bin=/&,=lbin=/&,&"
case [arg 1]
when -s
lf -c =bin= =lbin= |MERGE _
files .r$ =src=/lib/sh/src/intcmd.u | change _cmd.r$ |MERGE _
:MERGE cat -1 -2 | sort | uniq | =ebin=/mkcl -s
when
... | true |
edbaa4cb8ca9351b4713b2b4dae7899b185b656e | Shell | nima/wmiii | /statusbar.d/98-work | UTF-8 | 1,984 | 3.265625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
. "${WMII_CONFPATH%%:*}/statusbar.conf"
THEME=BZ
SYMBOL=231B #. Hourglass
SYMBOL=0024 #. Dollar
requires lck || exit 97
profiles + DEC || exit 96
l_round_time() {
IFS=: read -a t <<< "${1}"
minutes=$(( (7+${t[1]#0}) / 15 * 15 ))
hours=$((${t[0]#0} + (${minutes} / 60)))
(( minutes %= 60 ))
... | true |
efc13f6e4230bae5344e504c3a28ca0c39bbca44 | Shell | emiliomarin/TFM-Reputation-Based-Consensus | /Development/blockchain.sh | UTF-8 | 3,033 | 3.25 | 3 | [] | no_license | # Follow pre-requisites for your system:
# https://hyperledger.github.io/composer/latest/installing/installing-prereqs.html
installTools(){
echo "==> Installing Composer tools"
npm install -g composer-cli@0.20
npm install -g composer-rest-server@0.20
npm install -g generator-hyperledger-composer@0.20
... | true |
08a3023731d27f06e14cc029b45698720a039747 | Shell | mjm522/baselines | /set_env.bash | UTF-8 | 327 | 3.375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
ROOT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
export ROOT_DIR="${ROOT_DIR}"
MODULES='baselines'
for module in $MODULES
do
module_path=$ROOT_DIR/$module
echo "adding module: $module_path"
export PYTHONPATH=$module_path:$PYTHONPATH
done
cd $ROOT_DIR
echo "PYTHON PATH IS: $PYTH... | true |
9b494dc7b72085725e9f23ebfe9a402d412bcbd6 | Shell | peter50216/dotfiles | /setup/main.sh | UTF-8 | 584 | 3.734375 | 4 | [] | no_license | #!/bin/bash
if [[ ! -f ~/.dotfiles/.setup ]]; then
echo -e '\e[1;33mFirst time setup! Make sure we have everything installed...\e[m'
pushd ~/.dotfiles/
./setup/run_all.sh
ret=$?
popd
if [[ $ret == 0 ]]; then
touch ~/.dotfiles/.setup
echo -e '\e[1;33mFirst time setup complete! Delete ~/.dotfiles... | true |
f54da9d04ef40fe0d066dc4ddb50b82937204bca | Shell | Lenala39/Guessing-Game | /guessinggame.sh | UTF-8 | 888 | 4.09375 | 4 | [] | no_license | #!/usr/bin/env bash
# File: guessinggame.sh
#store number of files in directory
num_files=$(ls -F | grep -v / | wc -l)
# prompt for first guess and read user input
echo "Please gues how many files (not directories) are in your current working directory:"
read user_guess
#define function to check guess
function check... | true |
47b707410c142e5fb32ae74685f12fc64dc0607f | Shell | YASoftwareDev/dotfiles | /install.sh | UTF-8 | 10,393 | 3.71875 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# This script should be run by
# ./install.sh
# You can tweak the install behavior by setting variables when running the script. For
# example, to install development packages:
# DEV_PACKAGES=yes sh install.sh
#
# Respects the following environment variables:
# DEV_PACKAGES - install additional de... | true |
17b5b973bbd15e019d9873b438efa3a1f5e52a16 | Shell | dmstr/vado-ligure | /template/provision-volume.sh | UTF-8 | 1,744 | 4.03125 | 4 | [] | no_license | #!/usr/bin/env bash
set -e
echo Running 'always disk' provisioning...
# define device name for disk to check
DISK_DEV_NAME=/dev/sdb
DISK_M_POINT=/var/lib/docker
DOCKER_RUNS=0
echo "check if $DISK_M_POINT mount is configured, otherwise setup disk and mount options"
if mount | grep -qsE "${DISK_M_POINT}[[:space:]]+t... | true |
ad8831863100d584c6b19864ac9fe53948dd9d52 | Shell | TechanIO/rpi-usb-gadget | /remove.sh | UTF-8 | 2,640 | 3.796875 | 4 | [] | no_license | #!/bin/bash
USBFILE=/usr/local/sbin/usb-gadget.sh
UNITFILE=/lib/systemd/system/usb-gadget.service
# some usefull functions
confirm() {
# call with a prompt string or use a default
read -r -p "${1:-Are you sure? [y/N]} " response
case "$response" in
[yY][eE][sS]|[yY])
true
... | true |
05fe9f2bf5e75b7772c0c9a63ab1f78de0821365 | Shell | petronny/aur3-mirror | /terminology-guake-git/PKGBUILD | UTF-8 | 1,034 | 2.859375 | 3 | [] | no_license | # Maintainer: George Kamenov < cybertorture@gmail.com >
#
# This is not part of "terminology" (yet?) , it is for testing purpose only !
#
pkgname=terminology-guake-git
pkgver=1
pkgrel=2
pkgdesc="Terminal emulator for e17, successor of previous eterm with extention 'guake-like'"
arch=('i686' 'x86_64')
groups=('e17-extr... | true |
d4e49959f3788a2fd1948858ebf0fc2991eef14e | Shell | xubyxiaobao/docker-cluster | /docker-registry/save-images.sh | UTF-8 | 1,396 | 4.15625 | 4 | [] | no_license | #!/bin/bash
# 在能连接外网的机器上将需要的镜像进行打包,之后将压缩文件上传至内网,执行init-registry.sh脚本将镜像注册至私服
base_dir=$(cd $(dirname $0);pwd)
source ./env.sh
mkdir -p ${base_dir}/$IMAGES_TAR_NAME
download_path=${base_dir}/$IMAGES_TAR_NAME
image_arr=($SAVE_IMAGES)
#从远程仓库下载
for image in ${image_arr[@]}
do
if [ -z $(docker images $image -q) ]... | true |
eb48dd799143d7938d84909ca77643bc94174bd3 | Shell | JustinHop/Profile | /bin/resolution.sh | UTF-8 | 255 | 3.203125 | 3 | [] | no_license | #!/bin/bash
for i in $@; do
EXTRA=""
RES=$(ffprobe -hide_banner $i 2>&1 | grep Video | grep -oP '\d{3,4}x\d{3,4}')
if $(echo $RES | grep -vsqP '(1920|1080|1280|720|540)') ; then
EXTRA="BAD"
fi
echo -e "$i\t$RES\t$EXTRA"
done
| true |
e5d48f2c73cb87b78834a1fdbd4cce6849f92a3f | Shell | kearnsw/question-type-classification | /code/generate_configs.sh | UTF-8 | 167 | 2.8125 | 3 | [] | no_license | #!/bin/bash
echo "Generating $1 configs into configs/k-fold ..."
for ((n=0;n<$1;n++))
do
sed "s|placeholder|$n|" configs/$2.json > configs/k-fold/$2_$n.json
done
| true |
eaf56d8a55b0af4aa18d1ed698386383d1324359 | Shell | JacquesJacob/unix-inventory-html | /copia_html.sh | UTF-8 | 312 | 2.609375 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
#
# Script copia saida cfg2html para consola
#
#for i in `ls /var/www/html/inventory/ | grep .html | cut -d. -f 1`; do cp /var/www/html/inventory/$i.html /var/www/html/inventory/backup/$i_`date +%m.%d.%Y`.html; done
scp -q -o LogLevel=QUIET 15.128.1.132:/inventory/*.html /var/www/html/inventory/
| true |
e7a5e3f490fa6313747be5173612f0ff4a79c866 | Shell | BoldingBruggeman/hamsom | /compile_ECOSMO.sh | UTF-8 | 3,270 | 3.203125 | 3 | [] | no_license | #!/bin/sh
# script to start a single ECOSMO run
# that's why runs can be started directly with this file
# written by: Cara Nissen (uda081@student.uib.no), ute.daewel@hzg.de
echo -e " \n Preparations and start of new model run. \n"
#define model specifications here
#runID_old run Id that should be replaced by the... | true |
18ec53c04fe6232219845456f81262310ade93f2 | Shell | jwa5426/jake | /.circleci/ci-setup.sh | UTF-8 | 856 | 2.625 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
set -e
# intended to be run from directory above this one.
# Setup a proper path, I call my virtualenv dir ".venv_non_dev"
PATH=$WORKSPACE/.venv_non_dev/bin:$PATH
python3 --version
if [ ! -d ".venv_non_dev" ]; then
# use python3 to create .venv
python3 -m venv .venv_non_dev
fi
sour... | true |
ecf629f91b1e8c5675243dc4536d18ade5d3eaca | Shell | Liryna/android-platform-ndk | /build/tools/build-libjpeg-turbo.sh | UTF-8 | 11,679 | 3.453125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# Copyright (c) 2011-2015 CrystaX.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without modification, are
# permitted provided that the following conditions are met:
#
# 1. Redistributions of source code must retain the above copyright notice, this list of
# ... | true |
0588589fe911e573161f7bb4acbbe90f7a8f26d7 | Shell | petronny/aur3-mirror | /linux-lts-ak/XF86MonBrightness.sh | UTF-8 | 581 | 3.5 | 4 | [] | no_license | #!/bin/sh -e
if [[ "$1" = "-h" ]]
then
echo "Use: $(basename $0) [+/-pcnt]"
exit 0
fi
max=$(cat /sys/class/backlight/intel_backlight/max_brightness)
cur=$(cat /sys/class/backlight/intel_backlight/actual_brightness)
if ( echo $1 | egrep "^[-+]{0,1}[0-9]{1,3}$" > /dev/null )
then
change=$1
else
echo $(($... | true |
943c3ea55144ea83a1147e0278ebf2c37505dde4 | Shell | oxford-hack/registration | /restart.sh.template | UTF-8 | 594 | 2.59375 | 3 | [
"MIT"
] | permissive | #!/bin/sh
export PROD_MODE="True"
# Set up your postgres password
export PG_PWD="password"
# Domain where running
export DOMAIN="my.hackupc.com"
echo "checking updates..."
./env/bin/pip install -r requirements.txt
echo "checking updates...done"
echo "migrating db..."
./env/bin/python manage.py migrate
ec... | true |
c697444071f32ab4806ef1740336919dbc1fe567 | Shell | jiho-dev/irongate-vpn | /gen_free_cert.sh | UTF-8 | 2,540 | 3.84375 | 4 | [] | no_license | #!/bin/bash
DNS_NAME=""
#DNS_NAME="irongatevpn.p-e.kr"
#DNS_NAME="irongatevpn.kro.kr"
# letsencrypt certonly --webroot --webroot-path=/var/www/html -d irongatevpn.p-e.kr -d www.irongatevpn.p-e.kr
copy_cert() {
# copy /etc/ssl/certs/DST_Root_CA_X3.pem
local LETS_CA_PEM="DST_Root_CA_X3.pem"
local ROOT_CA="/etc/ips... | true |
25d2d6d90bed6824c538869b96edf4e0d95b5f44 | Shell | freifunk-berlin/ca.berlin.freifunk.net | /send-mailreminder.sh | UTF-8 | 556 | 3.390625 | 3 | [
"MIT"
] | permissive | #!/bin/sh
SIGNERS_GROUP=tunnelberlin-signer
MAIL_SUBJECT="Tunnel-Berlin - open requests notice"
# nothing to configure down here #
MYDIR=`dirname $0`
# get users of group
MAIL_RCPT=`getent group $SIGNERS_GROUP| cut -d : -f 4`
SIGNCOUNT=`$MYDIR/runscript.sh $MYDIR/manage.py requests show|wc -l`
mail -s "$MAIL_S... | true |
1741474a075a7a77a6f6e72fb4ce31c53d741cb9 | Shell | CrisZhao/linux_scripts | /backsql.sh | UTF-8 | 1,324 | 3.828125 | 4 | [] | no_license | #!/bin/bash
#back up databases by dump, and upload *.sql files to remote server.
#before using this, you need to touch a dailyconfig and sundayconfig file with database names inside.
logfile=/tmp/backup/mysqlbackup.log
echo "-------------------------------" >> $logfile
echo "$(date) backupsql starts " >> $logfile
echo... | true |
5239a05b2932d60bc2bf87ee91c87d8172bc00b4 | Shell | kenji-hosokawa/rba | /unittest/script/JSONGenerator/generate_json.sh | UTF-8 | 2,076 | 3.8125 | 4 | [
"Apache-2.0",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/bin/bash
# Linux用 jsonファイル 生成スクリプト
# arbitrator/rba/unittestディレクトリ内のmodelディレクトリのモデルファイルを元に
# RBAModel.jsonファイルを生成し、modelディレクトリと同一階層のtemplate-genディレクトリにコピーする。
# 使い方
# cd arbitrator/rba/unittest/script/JSONGenerator
# ./generate_json.sh
# 2019/04/10現在、JSONGeneratorに不具合があり、jsonを生成できないモデルがあるため、
# JSONGeneratorがエラーを出した... | true |
7c1a8575119524149bf79a25c5a1d75adc2794bb | Shell | sayali-pathak/scripts | /database.sh | UTF-8 | 423 | 3.28125 | 3 | [] | no_license | #!/bin/bash
db_set() {
echo "$1,$2" >> ~/database
}
db_get() {
grep "^$1," ~/database | sed -e "s/^$1,//" | tail -n 1
}
_db_suggest() {
local cur
local stringreply
COMPREPLY=()
cur=${COMP_WORDS[COMP_CWORD]}
if (($COMP_CWORD == 1 ))
then
stringreply=$(cat /home/prashant/database | sed -e "s/,.*//" | grep "$cur... | true |
425cf033af802b77384e76cea0d3b819469f29fe | Shell | jkimblad/bostadssnabben | /bostadssnabben.sh | UTF-8 | 1,923 | 3.640625 | 4 | [] | no_license | #! /bin/bash
#https://pushover.net/
#Pushover key used to send push notification to cellphone
USER_KEY=
#Application token for the script to be allowed API requests to Pushover
APP_TOKEN=
# Send push notification to user when the bash script is up and running!
curl -s ... | true |
dfce29b3f10f1890008dd0c5e4341705888ae215 | Shell | florianjoerg/project_groupD | /bash_scripts/hottestday.sh | UTF-8 | 2,000 | 3.53125 | 4 | [] | no_license | #!/bin/bash
city=$1
Quality=$2
path=../data_files
if [[ ${Quality} == "highQuality" ]]; then
if [[ -f ${path}/hottestday_${Quality}_${city}.txt ]]; then
rm ${path}/hottestday_${Quality}_${city}.txt
fi
Date=`awk '$1~/-01-01/ {print $1; exit 1}' ${path}/oneDayTemp_highQuality_$city.txt`
NR=`awk 'END{print NR}' $... | true |
90445c9f7ac1ccdea59eb30d0435d888ed619751 | Shell | pandu-rao/storm-sample | /dds.sh | UTF-8 | 271 | 2.828125 | 3 | [] | no_license | #!/bin/bash
# get the address of the dockerized drpc server
# get the container id
nimbus_id=$(docker ps | grep nimbus | awk '{print $1}')
# inspect the container for its ip address
docker inspect $nimbus_id | grep -i ipaddress | awk '{print $2}' | sed -e 's/[",]//g'
| true |
0b350489c369648cfb9c467dbfa65e4951ecd064 | Shell | pgleghorn/DockerAEM | /install/tools/startup.sh | UTF-8 | 894 | 3.609375 | 4 | [] | no_license | #!/bin/sh
# TODO switches
# -jmx check for startup via FrameworkStartLevel 30
# -curl check for startup via response on port
# -tail tail logs during startup
# which logs, optional?
# TODO quit if required vars are missing
$AEM_DIR/crx-quickstart/bin/start
toolsdir=`dirname $0`
LOGS="$AEM_DIR/crx-quickstart/logs/... | true |
a1248b0db9e05c2bbdd9d97842b24d41a004e641 | Shell | christianparobek/utils | /multivcf2fasta.sh | UTF-8 | 1,459 | 3.46875 | 3 | [] | no_license | ## Script to turn a multivcf into a multifasta
## USAGE: bash multivcf2fasta.sh <vcf> <ref> <gatk-style interval string (single locus)> # <outname>
## Started 14 October 2015
## Christian Parobek
## Define useful variables
gatk=/nas02/apps/biojars-1.0/GenomeAnalysisTK-3.3-0/GenomeAnalysisTK.jar
vcf=$1
ref=$2
interval=... | true |
943172a03cb792c3133aa5ddffa1c8581257e4c7 | Shell | delkyd/alfheim_linux-PKGBUILDS | /perl-ritx/PKGBUILD | UTF-8 | 867 | 2.78125 | 3 | [] | no_license | # Maintainer: Chris Severance aur.severach aATt spamgourmet dott com
# Contributor: Sebastian Neef <aur @ gehaxelt DOT in>
# Neat idea but doesn't seem to work. Probably easy to fix.
set -u
_pkgname='ritx'
pkgname='perl-ritx'
pkgver='1.6'
pkgrel='1'
pkgdesc='discovers domains hosted on the same server as a given IP ... | true |
a7c72afcada17adb8b91baad6bad04f78ca4c475 | Shell | ZeroWasteTeam/SampleJavaSpringBoot | /.github/scripts/ci-assertVersioningRulesFollowed | UTF-8 | 454 | 3.859375 | 4 | [] | no_license | #!/bin/bash
BASE_VESION=$1
MODIFIED_VERSION=$2
NUMBER_OF_VERSION_MODIFIED=$(git diff --name-only "${BASE_VESION}..${MODIFIED_VERSION}" version.txt | wc -l )
if [[ "$NUMBER_OF_VERSION_MODIFIED" -eq 1 ]] ;
then
NUMBER_OF_FILES_MODIFIED=$(git diff --name-only "${BASE_VESION}..${MODIFIED_VERSION}" | wc -l )
if [[ "$N... | true |
272da8dbbc84ed1caa766c8b5db1edff7e11676d | Shell | cplatini/scripts | /provisioning/bin/build_aws/security/allow_mcafee.sh | UTF-8 | 708 | 3.109375 | 3 | [] | no_license | #!/bin/bash
#
# Script to allow inbound McAfee to a specified security group
#
# Author:
# Richard DeHaven
#
# Version: 0.0.1
# Date: 2016-10-27
aws_acct=$1
secgroup_id=$2
AWS_CONFIG_FILE=$HOME/.aws/credentials
aws_cli_base="aws --profile ${aws_acct} --output text"
aws_group_allow="${aws_cli_base} ec2 authorize-sec... | true |
26bbb37626f22dcd7a4c39bbe1892896ce4c7c0b | Shell | toomasr/jspgnviewer | /makeRelease.sh | UTF-8 | 2,934 | 3.703125 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# Intended to be used from the project root directory
# or ./res directory
OLD_DIR=`pwd`
PROJ_DIR="."
DEST_DIR="bin"
LIB_DIR="lib"
SRC_DIR="src/main"
WP_DIR="wpPlugin"
WP_IMG_DIR="bin/pgnviewer/img"
TEST_DIR="examples"
IMG_DIR="img"
# functions
genPackedFormat() {
# pack the source with packer
cd $L... | true |
0ad9c26b8c59a90904434534d705ecf079015b17 | Shell | dkappler/idsim | /scripts/exp_iros/create_experiment.sh | UTF-8 | 281 | 2.5625 | 3 | [] | no_license | #!/bin/bash
SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd)"
CONFIG_PATH="${SCRIPT_DIR}/config_experiment.yaml"
source "${SCRIPT_DIR}/../ubash.sh" || exit 1
cd ${PROJECT_DIR}
${VPY_BIN} inverse_dynamics/experiment_config.py \
--fp_config ${CONFIG_PATH}
| true |
a1029892cf820907d5317d36f8d858c896d9471d | Shell | hypered/reesd-stack | /build-images-helper.sh | UTF-8 | 253 | 3.15625 | 3 | [] | no_license | #! /bin/bash
# Helper script for build-in-vm.sh.
set -e
function log {
echo "$(date --iso-8601=seconds --utc) $1"
}
log "Cloning the repositories..."
git clone git@github.com:noteed/reesd-stack
log "Building images..."
pushd reesd-stack
./build.sh
popd
| true |
312e03031dccf59ef3a4968073767895162fe0fa | Shell | jets-/fsrw | /scripts/mounted.sh | UTF-8 | 178 | 3.171875 | 3 | [] | no_license | #!/usr/bin/env bash
function main {
DEV=$1
CMD=`findmnt -rno SOURCE ${DEV}`
VALUE=0
if [[ -z ${CMD} ]]; then
VALUE=1
fi
echo ${VALUE}
}
main $@ | true |
aef6794b6d45dc82a11575b30371082bc0a87c19 | Shell | andyneff/docker-vscode | /code_entrypoint.bsh | UTF-8 | 246 | 3.078125 | 3 | [] | no_license | #!/usr/bin/env bash
set -eu
groupmod user -g ${GROUP_ID} -o
usermod -u ${USER_ID} -o -g user user >& /dev/null
chown -R user:user /home/user
if [ "$1" == "code" ]; then
shift 1
exec gosu user code -w "${@}"
else
exec gosu user "${@}"
fi | true |
2eaa55c4eebe80246b89daf781bbe617e2bf1b14 | Shell | intgyl/vim | /bin/android_tools/common/adk.sh | UTF-8 | 12,182 | 3.4375 | 3 | [] | no_license | adk() {
host_platform=""
case `uname` in
Linux) host_platform=linux ;;
FreeBSD) host_platform=fbsd ;;
*CYGWIN*) host_platform=cygwin ;;
*MINGW*) host_platform=mingw ;;
Darwin) host_platform=darwin ;;
esac
if [ $# -lt 1 ] ; then
echo " adk \"cmd\""
print_adk_usage
return
fi
case "$1" in
fty... | true |
5f3b911e91182ce268bd8d0135e6ac41edd34ba4 | Shell | HashNuke/heroku-buildpack-elixir-otp-builds | /build-otp.sh | UTF-8 | 786 | 3.5 | 4 | [] | no_license | #!/usr/bin/env bash
if [ -z "$OTP_VERSION" ]; then
echo "OTP_VERSION not set"
else
echo "Building OTP_VERSION $OTP_VERSION"
export OTP_URL=https://github.com/erlang/otp/archive/OTP-$OTP_VERSION.tar.gz
export OTP_TAR_NAME=$(basename https://github.com/erlang/otp/archive/OTP-${OTP_VERSION}.tar.gz)
export OTP_U... | true |
db428f70c14bb30c40b15ba642a773352a8a4437 | Shell | flexxo17/dvr_install | /qnap/fetch_wrapper.sh | UTF-8 | 1,491 | 3.75 | 4 | [
"LicenseRef-scancode-public-domain"
] | permissive | #!/bin/sh
####################
#
# Simple script to fetch the prebuilt wrappers
#
####################
# QDK Parameters
QDK_ROOT=$PWD
QDK_SHARED_PATH=$QDK_ROOT/shared
# Wrapper Parameters
WRAPPER_BIN_ARM7=hdhr_wrapper_arm7
WRAPPER_BIN_ARM8=hdhr_wrapper_arm8
WRAPPER_BIN_i686=hdhr_wrapper_i686
WRAPPER_BIN_X86_64=hdhr_w... | true |
27e15a16106bd5daa4f7103f90ef96942fb6484c | Shell | CherokeeLanguage/Cherokee-TTS-fst | /assets/enbible/kaggle-download.sh | UTF-8 | 355 | 2.765625 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env -S bash -x
cd "$(dirname "$0")"
PS1='$'
. ~/.bashrc
conda deactivate
conda activate Cherokee-TTS-fst
set -e
set -o pipefail
(
while read -r dataset; do
echo $dataset
dataset_track="$(echo "$dataset"|cut -f 2 -d '/')"
kaggle datasets download "$dataset" || exit 1
done
) << EOT
bryanpark/the-worl... | true |
169663a7d59024783cb778c413bcd7ac3a878c04 | Shell | nerdroychan/dotfiles | /bin/corerun | UTF-8 | 283 | 3.21875 | 3 | [] | no_license | #!/bin/bash
# Real cores instead of CPU threads
if [[ $# -eq 0 ]] ; then
exit 0
fi
CPUS=$(lscpu -p | grep -v '#' | awk -F ',' '{print $1 ":" $2}' | shuf | sort -R -u -t : -k 2,2 | awk -F ':' '{print $1}')
SELECTED=$(echo -n "${CPUS}" | tr '\n' ',')
taskset -c $SELECTED "$@"
| true |
e40876d65fc19de7fa9f5e920cf5d0fd242c791c | Shell | otsuarez/nc2n | /inventory/inventory.sh | UTF-8 | 798 | 2.703125 | 3 | [] | no_license | #!/bin/bash
#pwd
#DIR=group_vars
DIR=data
#SERVERS=$(cd group_vars ; ls -d *)
#SERVERS=$(cd ${DIR} ; ls -d *)" localhost"
SERVERS=$(cd ${DIR} ; ls -d *)
#echo "inventariooooo ----> $SERVERS"
IN='{
'
host=''
HOSTVARS=''
for i in $SERVERS;
do
host=$host'"'$i'" : { "hosts" : ["'$i'"] },
'
done
for i in $SERVERS;
do
HO... | true |
bf3ac3998be6a0daaafc90ab82fc69e5bf98f540 | Shell | oshyd/docker-stack-wait-deploy | /docker-stack-wait-deploy.sh | UTF-8 | 1,715 | 4 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
# Script to wait until all services in stack are deployed.
# Usage:
# ./docker-stack-wait-deploy.sh [stack-name]
stack_name=$1
while true; do
all_services_done=1
has_errors=0
updatable_output=""
service_ids=$(docker stack services -q $stack_name)
# check all services in stack
for ser... | true |
a884ff357f8a039ef5cb985bd6800684735fad56 | Shell | CyberSME/ubuntu-wrt | /rootfs/scripts/functions.sh | UTF-8 | 341 | 3.5 | 4 | [] | no_license | #!/bin/bash
ask() { local q="$1"; local d=${2:-"n"}
read -p "$q [$d]: " r; r=${r:-"$d"}
while true; do
case $r in
y|Y|yes|Yes|yES|YES )
return 0
;;
n|N|no|No|nO )
return 1
;;
* )
read -p "Not a valid answer. Try 'y' or 'n': " r
continue
... | true |
3589a88829a0e1111544d2bf5fd680d566b7d08e | Shell | kyma-project/test-infra | /prow/scripts/cluster-integration/helpers/eventing.sh | UTF-8 | 12,594 | 3.21875 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
set -e
readonly BACKEND_SECRET_NAME=eventing-backend
readonly BACKEND_SECRET_NAMESPACE=default
readonly BACKEND_SECRET_LABEL_KEY=kyma-project.io/eventing-backend
readonly BACKEND_SECRET_LABEL_VALUE=NATS
readonly EVENTING_BACKEND_CR_NAME=eventing-backend
readonly EVENTING_BACKEND_CR_NAMESPACE=kyma-... | true |
28328ab5622d7402fbd9df48ced76eb1f412e526 | Shell | gbsf/archlinux-packages | /openoffice-de/repos/extra-x86_64/PKGBUILD | UTF-8 | 844 | 2.53125 | 3 | [] | no_license | # $Id$
# Maintainer: Tobias Powalowski <tpowa@archlinux.org>
# Contributor: Sarah Hay <sarah@archlinux.org>
pkgname=openoffice-de
pkgver=2.4.0
pkgrel=1
pkgdesc="OpenOffice german language files"
arch=(i686 x86_64)
license=('LGPL')
url="http://www.openoffice.org"
makedepends=('rpmextract')
depends=('openoffice-base')
s... | true |
f29f5e1fbf43eb40575299bbff215f56612123bb | Shell | edwardsmarkf/fastfeathers | /init-cockroach-client.bsh | UTF-8 | 4,723 | 3.46875 | 3 | [] | no_license | #! /bin/bash
# init-cockroach-client.bsh last update: 2018-04-19
# this script builds a cockroach(pg) client from scratch for testing with init-cockroach-server.bsh
dbServerIp='XXX.XXX.XXX.XXX'; ## this this from init-cockroach-server.bsh
dbUser='feathersuser';
dbPass='aaaaaa';
dbPort='26257';
dbName='bank... | true |
a4cc7fd7a0ae4a7b3fd3a6009b8d631abc7b57cb | Shell | dan144/dotfiles | /util_funcs.sh | UTF-8 | 189 | 2.890625 | 3 | [] | no_license | function vimd ()
{
vim -p $(git diff --relative --name-only)
}
function vgrep ()
{
vim -p $(egrep -ril "$1" | sort | uniq)
}
function vfind ()
{
vim -p $(find . -name "$1")
}
| true |
65fa17790bd8ca144b2e6100437e313376fa895a | Shell | spiralofhope/shell-random | /live/sh/scripts/examples/math.sh | UTF-8 | 297 | 2.75 | 3 | [] | no_license | #!/usr/bin/env sh
# This functionality not be available in all shells:
\echo $(( 1 + 1 ))
# Using `expr`:
# shellcheck disable=2003
\expr "1 + 1"
# Using `bc`:
\echo "1 + 1" | \bc
# Using `bc` for more complex math:
\echo "10 / 3" | \bc --mathlib
# TODO - More is possible with awk
| true |
e1d401fac045002d6d57773c7949029693ef17c6 | Shell | badlogic/paperbots | /scripts/backup.sh | UTF-8 | 1,939 | 3.953125 | 4 | [] | no_license | #!/bin/sh
# Dumps the live Paperbots db and stores it in Google Drive.
# You need to install this https://github.com/prasmussen/gdrive
# On macOS, brew install gdrive will do the trick.
# You have to specify the server user, host and sudo pwd
# You have to specify the Paperbots db Docker container name, db port, and d... | true |
bade88fd71a44ab92cc4b9879189823c2c3b4b79 | Shell | wasas/shell | /install_docker_debian.sh | UTF-8 | 1,544 | 3.625 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
##### debian 安装Docker #####
#准备工作
preparation(){
#移除原有的服务
apt-get -y remove docker docker-engine docker.io containerd runc
#更新软件包
apt-get update
#安装必要的依赖
apt-get -y install ca-certificates curl gnupg lsb-release
#添加官方密钥
mkdir -p /etc/apt/keyrings
curl -fsSL https://download.docker.com/linux/debi... | true |
f275c2646b9bff17f03c398b996fc452d33f9ee0 | Shell | GVLind/ST-14 | /Trimmomatic_Command.sh | UTF-8 | 949 | 3.0625 | 3 | [] | no_license | #!/bin/bash
#in each subfolder:
#1) locate files with ending _1.fastq
#2) change ending to _2.fastq to exactly match read paris.
#3) setup trimmomatic for each pair with input/output according to read paris.
for S in ./S*; do
#locate all subfolder
if [ -d "$S" ]; then
cd "$S"
# if subfolder == folder: move in... | true |
3de3f9860ce84cc2221fe81c39483837556fa16b | Shell | whoo/ChrootTool | /Chrootbin.sh | UTF-8 | 586 | 3.5625 | 4 | [] | no_license | #!/bin/bash
function green { echo "[32m$1[00m"; }
function red { echo "[31m$1[00m"; }
function push
{
dir=$(dirname "$1")
if [ ! -d $dir ]
then
#red "create $dir"
mkdir -p "$dir"
fi
cp "/$1" "$dir"
}
mkdir -p jail
pushd jail
## Essential ###
push lib64/ld-linux-x86-64.so.2
push lib32/ld-linux.so.2
cp .... | true |
29a037d18c6a78b19c955e4f5528d18befc6924e | Shell | timplab/nivar | /paperfigs/freebayes_bwa.sh | UTF-8 | 1,719 | 3.53125 | 4 | [] | no_license | #!/bin/bash
##This time, $1 is the results outdir. $2 is the assembly full path. $3 is the prefix.
mkdir -p $1
mkdir -p $1/index
mkdir -p $1/bam
##copy the raw assembly into the index dir
prefix=$3
cp $2 $1/index/$prefix.fasta
cd ~/software/freebayes/scripts
for i in {1..5} ;
do
##build the index and align
... | true |
74dbd17649a168411b8b13653926271c9f4b4f99 | Shell | asdf-vm/asdf | /test/get_asdf_config_value.bats | UTF-8 | 1,205 | 3.453125 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bats
# shellcheck disable=SC2164
load test_helpers
setup() {
cd "$BATS_TMPDIR"
ASDF_CONFIG_FILE="$BATS_TMPDIR/asdfrc"
cat >"$ASDF_CONFIG_FILE" <<-EOM
key1 = value1
legacy_version_file = yes
EOM
ASDF_CONFIG_DEFAULT_FILE="$BATS_TMPDIR/asdfrc_defaults"
cat >"$ASDF_CONFIG_DEFAULT_FILE" <<-EOM
# ... | true |
b43b4697ceed5dd4fca5995c5987617ea6f9527d | Shell | joeystevens00/signal-deviation-alerts | /docker_logger/scripts/docker_logs_to_matrix.sh | UTF-8 | 343 | 2.546875 | 3 | [] | no_license | while read LINE; do export "$LINE"; done < /app/env
sleep $((RANDOM/1000))
for service in $(\
docker service ls \
| awk '{print $2}'\
| grep -vE '^NAME$'\
| grep -vi synapse\
)
do
docker service logs --since 1m "$service"\
| python3 /app/src/log.py --host "$MATRIX_HOST" --user "$MATRIX_USER" --roo... | true |
f6f5ab107c76ff21fe1f4a699206b8f2e5790cfc | Shell | pmem/dev-utils-kit | /docker/images/install-pmdk.sh | UTF-8 | 2,373 | 4.3125 | 4 | [
"BSD-3-Clause"
] | permissive | #!/usr/bin/env bash
# SPDX-License-Identifier: BSD-3-Clause
# Copyright 2018-2022, Intel Corporation
#
# install-pmdk.sh [prefix] [just_install]
# - PMDK's libraries installation script. Can be use in two ways:
# 1. Regular usage would be to "just install" all PMDK's libraries (preferably from packages).
# 2. The othe... | true |
7e81eedd2392643cdfb1ef2776f9826c2248786c | Shell | Zuquim/punch_clock | /ctrl-punch-clock.bash | UTF-8 | 2,015 | 4.125 | 4 | [
"Unlicense"
] | permissive | #!/usr/bin/env bash
DOCKER_IMAGE="punch-clock"
DOCKER_CONTAINER=$DOCKER_IMAGE
function print_syntax_exit {
printf "\nSyntax: $0 <build|rebuild|run|test|update|full-update>\n"
exit 1
}
function build_image {
echo "Building API Docker base image from scratch..."
docker build --rm --pull --no-cache -t $... | true |
6fd4e6cdd7d001471f52926f3eaa0ac66e797d23 | Shell | releasemgn/shurm | /master/makedistr/commonexecute.sh | UTF-8 | 18,551 | 2.875 | 3 | [] | no_license | # Copyright 2011-2014 vsavchik@gmail.com
C_TAG=
C_PGUWARNEXUSGROUPID="com.nvision.pgu.service"
function f_execute_getversionmode_defaulttag() {
if [ "$GETOPT_TAG" != "" ]; then
C_TAG=$GETOPT_TAG
else
C_TAG=$C_CONFIG_APPVERSION_TAG
fi
export C_TAG
}
function f_execute_buildone_core_tags() {
local P_VCSTYPE=$... | true |
2d7184e4689e3e9bfaac3fd5b38ffcb16e9b4275 | Shell | abhijithda/software-update-manager | /sdk/scripts/install | UTF-8 | 899 | 3.765625 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# Copyright (c) 2021 Veritas Technologies LLC. All rights reserved. IP63-2828-7171-04-15-9
myprg=$0
myDir=$(dirname ${myprg})
# Copy any update contents placed in the staging area to ${myDir}/.
stage_area="/system/upgrade/stage/"
update_stage_area="${stage_area}/update/"
if [ -d ${update_stage_area} ]; th... | true |
3605a0962bf3c8fa35ea9eb6605ed2abaac68a0f | Shell | webos-internals/build | /optware/readline/control/postinst | UTF-8 | 468 | 2.78125 | 3 | [] | no_license | #!/bin/sh
APPID=mobi.optware.readline
# Symlink files into /opt
cd $IPKG_OFFLINE_ROOT/usr/palm/applications/$APPID/opt
find lib -type d -exec mkdir -p /opt/{} \;
find lib -type f -exec ln -sf $IPKG_OFFLINE_ROOT/usr/palm/applications/$APPID/opt/{} /opt/{} \;
ln -sf libhistory.so.6.0 /opt/lib/libhistory.so
ln -sf libhi... | true |
9fb842d466ca04d12ec3cac627700336f633f670 | Shell | leggsimon/dotfiles | /home/.bashrc | UTF-8 | 1,321 | 3.25 | 3 | [] | no_license | export PATH="$PATH:node_modules/.bin"
export PATH=/Users/simon.legg/.gem/ruby/2.0.0/bin:$PATH
export ANDROID_HOME=/usr/local/opt/android-sdk
[[ -s "$HOME/.rvm/scripts/rvm" ]] && source "$HOME/.rvm/scripts/rvm" # Load RVM into a shell session *as a function*
source ~/.profile
###################
# Command aliases #... | true |
f566da973f7faf35675635406aa8cabfdca31d58 | Shell | jessecooper/EdPurp | /install.sh | UTF-8 | 603 | 3.40625 | 3 | [
"MIT"
] | permissive | # !/bin/bash
#
# EdPurp Install Script
#
#Functions
test_packages()
{
if ([ -e /usr/bin/npm ] || [ -f "/usr/local/bin/npm" ])
then
echo 'NPM ........... Pass'
else
echo 'NPM ........... Not Found'
exit 1
fi
}
test_folders()
{
if [ -d ./public/uploads ]
then
echo 'public/uploads ........... Pass'
else
... | true |
ac25385f8d77af8c2f7edfb09ee35b0816afc3bb | Shell | Wolox/WLXBluetoothDevice | /script/update | UTF-8 | 332 | 2.875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
set -e
source script/.env
source script/common/carthage
if [ -f Cartfile.resolved ] && type carthage > /dev/null
then
check_carthage_version
call_carthage "update"
elif [ -f Podfile ]
then
if type bundle > /dev/null && bundle show pod > /dev/null
then
bundle exec pod update
else
pod upd... | true |
77e49aec0ee5cb936e991c44b2af3e356a1d1b93 | Shell | erik/dotfiles | /zsh/.config/zsh/functions/kubernetes-ssh | UTF-8 | 868 | 3.265625 | 3 | [] | no_license | # -*- mode: sh -*-
kubernetes-ssh () {
if [ -z "$1" ]; then
echo "usage: $0 NAMESPACE"
return 1
fi
local ns=$1; shift
# Ensure we're auth'd
# NOTE: DD tooling specific
kubectl cluster-info &>/dev/null || ( set -eo pipefail;
kubectl config get-clusters | \
sed 1d | \
sort | \
... | true |
27aba286302f61b162f4d62e847a662515ccad6b | Shell | rai-project/tensorflow | /proto/update.sh | UTF-8 | 1,604 | 3.140625 | 3 | [
"Apache-2.0",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/bin/bash
# Copyright 2018 The TensorFlow Authors. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless require... | true |
acbfdc08dc3089da1407cabbea17d842f38df7a9 | Shell | arshadullah/hadoop | /install_tuned.sh | UTF-8 | 7,549 | 3.765625 | 4 | [] | no_license | #!/bin/bash
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# d... | true |
2b814a7bb5d1a38336771e4abda266abaceca867 | Shell | dhruvbaldawa/dotfiles | /bin/symlink-dotfiles.sh | UTF-8 | 989 | 3.65625 | 4 | [
"MIT"
] | permissive | #!/bin/bash
dev="$HOME/Code"
dotfiles="$dev/dotfiles"
bin="$HOME/bin"
if [[ -d "$dotfiles" ]]; then
echo "Symlinking dotfiles from $dotfiles"
else
echo "$dotfiles does not exist"
exit 1
fi
link() {
from="$1"
to="$2"
echo "Linking '$from' to '$to'"
rm "$to"
ln -s "$from" "$to"
}
for location in "$dot... | true |
92af33409d137c2068923e6de338c66650e9c6a8 | Shell | toru173/Abusing-macOS | /OS X Diskless Boot/rc.cleanup | UTF-8 | 242 | 2.65625 | 3 | [] | no_license | #!/bin/sh
if [ -f "/etc/rc.cdrom" ]; then
echo "Cleaning up rc.cdrom and respringing Mac OS X"
/bin/mv /etc/rc.cdrom /etc/rc.cdrom.bkp
/bin/launchctl reboot userspace
else
echo "rc.cdrom not present. Proceeding with liveboot"
fi
exit 0
| true |
173590190aff352e44aefb75537790a92479d276 | Shell | SiliconLabs/wfx-linux-tools | /scripts/wfx_firmware_install | UTF-8 | 1,491 | 3.890625 | 4 | [
"LicenseRef-scancode-unknown-license-reference",
"Apache-2.0"
] | permissive | #!/bin/bash
# Copyright (c) 2018, Silicon Laboratories
# See license terms contained in COPYING file
set -e
. wfx_set_env
check_not_root
DEFAULT_CHIP_KEY=C0
USAGE="Usage: $(basename $0) OPTION
Install firmware
Otpions:
--help display this message
--version VER install the firmware specified by VER
-... | true |
2456dd2c8d2a8fef74c4216f7cf510f1567daa2c | Shell | delph-in/delphintools | /bin/logon_hg_id | UTF-8 | 275 | 3.25 | 3 | [
"MIT"
] | permissive | #!/bin/bash
logon_hg_id () {
HG=${1:-$HOME/logon.hg} && \
hg -R $HG qpop -a && \
LOGON_ID=$(hg -R $HG id -n) && \
PATCHES_ID=$(hg -R $HG/.hg/patches id -n) && \
hg -R $HG qpush -a 2>&1 && \
echo ${LOGON_ID}@${PATCHES_ID}
}
logon_hg_id $1 | tail -n1
| true |
1126070fcc18f96c90bee5c7604aea41fba2a0e2 | Shell | ShalokShalom/plan.sh | /itstool/plan.sh | UTF-8 | 463 | 2.703125 | 3 | [
"Apache-2.0"
] | permissive | pkg_origin=cosmos
pkg_name=itstool
pkg_version=2.0.2
pkg_description="XML to PO and back again"
pkg_upstream_url="http://itstool.org/"
pkg_license=('GPL3')
pkg_deps=('python2' 'libxml2')
pkg_source=("http://files.itstool.org/itstool/${pkg_name}-${pkg_version}.tar.bz2")
pkg_shasum=('d472d877a7bc49899a73d442085b2f93')
... | true |
558be1554410f2afb9d5c1b7aec11ac770760819 | Shell | rovjuvano/dotfiles | /bash.d/serve.sh | UTF-8 | 170 | 2.78125 | 3 | [] | no_license | function serve {
local TYPE="text/html"
if [ "$1" = "-t" ]; then TYPE=$2; shift 2; fi
(echo -e "HTTP/1.0 200 Ok\nContent-Type: ${TYPE}\n"; cat -) | nc -l 8888
}
| true |
76305c4496d882f288ac584939a9967e2484c506 | Shell | mc-assemblage/nembase | /components/FASTQC/fastqc.sh | UTF-8 | 294 | 2.828125 | 3 | [] | no_license | #!/bin/bash
. ./functions.sh
kmersize=$( getparameter "kmersize")
threads=$( getparameter "threads")
fastqfile=$( getinput "fastqfile")
fastqcdir=$( getoutput "fastqcdir")
if [ ! -d $fastqcdir ]
then
mkdir $fastqcdir
fi
fastqc -t $threads -o $fastqcdir -f fastq -k $kmersize $fastqfile
| true |
94c9e9fe02079dd1ed86d92a21ab884649c15edf | Shell | DevilInChina/NumericalAnalysis | /run.sh | UTF-8 | 187 | 2.703125 | 3 | [] | no_license | para='gau doo cro cho jac gs sor cg'
File=$1
gcc main.c -o main -lm -lpthread
mat=$(ls ${File})
for name in ${para}
do
for matrix in ${mat}
do
./main $name ${File}/$matrix
done
done
| true |
e8146df4cfbb76b8d353cd919040f833771db04f | Shell | Nikhilkumbhare97/Flip-Coin-Simulation | /flipCoinSimulator.sh | UTF-8 | 1,161 | 3.5625 | 4 | [] | no_license | #!/bin/bash
#Constants
isHeads=1
maxWin=21
ties=1
diff=2
#Variables
Head=0
Tail=0
Tie=0
Head1=0
Tail1=0
read -p "Number of times Coin Flip :" flip
for (( i=1; i<=$flip ; i++ ))
do
while [[ $Head -lt $maxWin ]] && [[ $Tail -lt $maxWin ]] && [[ $(($Head+$Tail)) -lt $flip ]] && [[ $Tie -lt $ties ]]
do
result=$((RA... | true |
389f9189edbe2285a6434ec6005a9556a8669299 | Shell | timarenz/hashicorp-demos | /multi-cloud-vm-consul-mesh-gateway/scripts/mesh-web-login.sh | UTF-8 | 1,080 | 2.90625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
sudo mkdir /tmp/web-login/
sudo tee /tmp/web-login/index.html <<EOF
<!DOCTYPE html>
<html>
<head>
<title>Welcome to /LOGIN API path!</title>
</head>
<body>
<h1>Welcome to /LOGIN API path!</h1>
<h1>Located on host $(hostname)</h1>
<p>If you see this page, you were redirec... | true |
56b23e7dda67e15407f7d495eefb13be42ba20c8 | Shell | djulian2001/vagrant_devstack | /scripts/admin_project_tasks.sh | UTF-8 | 1,209 | 2.9375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# create the project and add all the users for the project
# project
project_id=$( openstack project create \
-f value -c id \
--description "neal adams and jill xavier project" \
--enable \
--or-show \
"nadams_nih_12345" )
# set project usage
# reference: os_project_quota.sh
openstac... | true |
18f2355ad962ae7f8dfb6310272135cfc9f6ec1a | Shell | elbakerino/cloud-in-a-shell | /apache/vhost-rm.sh | UTF-8 | 692 | 3.1875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
DIR_CUR=$(cd "$(dirname "${BASH_SOURCE[0]}")" >/dev/null 2>&1 && pwd)
source ${DIR_CUR}/../_boot.sh
DIR_CUR=$(cd "$(dirname "${BASH_SOURCE[0]}")" >/dev/null 2>&1 && pwd)
VHOST_NAME=${1}
conffile=/etc/apache2/sites-available/${VHOST_NAME}.conf
conffile_le=/etc/apache2/sites-available/${VHOST_NAME}-le-ssl.c... | true |
87112af96bbbb888d9e8da140351fd69d7ed2877 | Shell | magos-linux/magos-linux | /make_MagOS/files/patches/rootfs/MagOS/usr/lib/magos/rootfs-patches/MagOS/MagOS-01-locales.sh | UTF-8 | 234 | 3.421875 | 3 | [] | no_license | #!/bin/bash
ln -sf /usr/share/locale /etc/locale
#creating locales archive
LOCALEARCHIVE="en_US ru_RU"
if [ -x /usr/bin/localedef ] ;then
for a in $LOCALEARCHIVE ;do
localedef -c -f UTF-8 -i "$a" $a.UTF-8
done
fi
exit 0
| true |
9f31961d5cc4d78004361e4207351a02276193a2 | Shell | FerreiraLari/ex-aula-2-GIT | /feature-01_script | UTF-8 | 160 | 2.703125 | 3 | [] | no_license | #!/bin/bash
echo "Insira o link do arquivo a ser extraído: "
read file_download
wget $file_download > file1
dtrx $file1
echo "Arquivo descompactado."
| true |
9e3bf72beb9d21615307b5babf8b802b3485797c | Shell | christian-fei/garden | /scripts/make-today-timelapse | UTF-8 | 464 | 2.859375 | 3 | [] | no_license | #!/bin/bash
echo "rm -f today-timelapse.mp4"
rm -f today-timelapse.mp4
DATE=$(date +"%Y-%m-%d")
echo "using snapshots/$DATE*"
ls -1 snapshots/$DATE*
cat snapshots/$DATE*.jpg | ffmpeg -f image2pipe -r 30 -vcodec mjpeg -i - -vcodec libx264 today-timelapse.mp4
# (not working?)
# FILES_LIST=$(ls -1t snapshots/*.jpg | ... | true |
9c1672ae5853c4d615fbae14a46579bb00f87d7d | Shell | yupswing/dotfiles | /dotfiles/scripts/screenshot.zsh | UTF-8 | 560 | 3.484375 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env zsh
scrot_dir=$HOME/Pictures/screenshots/
scrot_file='%Y-%m-%dT%H:%M:%S_$wx$h.png'
if ! [ -d $scrot_dir ]; then
mkdir -p $scrot_dir
fi
cd $scrot_dir
case "$1" in
--desktop | -d | $NULL)
scrot -f $scrot_file -e 'xclip -selection clipboard -t image/png -i $f && notify-send "screenshot taken $f"'
;... | true |
0cd370a209b46b3598d70e531a1ab3c7bbfe0435 | Shell | kbasecollaborations/KB-CAMOCO | /scripts/load_ref_data.sh | UTF-8 | 2,160 | 3.0625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# start in data folder
cd /data
# camoco tutorial and maize reference data
# tutorial: https://camoco.readthedocs.io/en/latest/tutorial.html
RefGen=https://github.com/LinkageIO/Camoco/raw/master/tests/raw/RefGen/ZmB73_5b_FGS.gff.gz
RefGenfile=${RefGen##*/}
Expr1=https://github.com/LinkageIO/Camoco/raw/mas... | true |
39eb42615fbab097ed795ca2357bfb4c97ecd037 | Shell | lawrie/riscv32_lcc | /testcases/binutils/rvi/run.sh | UTF-8 | 365 | 2.96875 | 3 | [] | no_license | for name in *.s; do
../../../binutils/bin/as "-o" "results/${name%.s}.elf" "$name"
../../../binutils/bin/ld "-h" "-o" "results/${name%.s}.bin" "results/${name%.s}.elf"
if cmp -s "${name%.s}.ref" "results/${name%.s}.bin"
then
echo "Testcase $name ok.">>results/summary.log
else
echo "Testcae $n... | true |
87e8cd3941f0d9aeecfdb57c1317d255b5e08942 | Shell | lemattma/backup-script | /backup-site.sh | UTF-8 | 814 | 3.96875 | 4 | [] | no_license | #!/bin/bash
DATE=`date +%Y%m%d`
DBHOST=localhost
DBUSER=user
DBPASS=secreto
DBNAMES=database
BACKUP_FOLDER="/path/to/backups-folder"
BACKUP_SOURCE="/path/to/site-folder"
echo "Running MySQL backup"
# Fetch all the databases if none is specified
if [[ $DBNAMES == '' ]]; then
DBNAMES="$(mysql -u ${DBUSER} -h ${DBH... | true |
1ce98281e60d82dc6bc06ccaf07d02e2d5120e27 | Shell | uphold-forks/flare | /src/stateco/client/proveDataAvailability.sh | UTF-8 | 550 | 3.0625 | 3 | [
"MIT",
"BSD-3-Clause"
] | permissive | # (c) 2021, Flare Networks Limited. All rights reserved.
# Please see the file LICENSE for licensing terms.
#!/bin/bash
if [ $1 == 'btc' ]; then
PORT=8000
elif [ $1 == 'ltc' ]; then
PORT=8001
elif [ $1 == 'doge' ]; then
PORT=8002
elif [ $1 == 'xrp' ]; then
PORT=8003
fi;
while true; do
nohup $(sleep 10; curl ... | true |
aaacb78c5b0a2e79065337e7ecf13946ab28a884 | Shell | pepkit/hello_looper | /pipeline/count_lines.sh | UTF-8 | 113 | 2.84375 | 3 | [] | no_license | #!/bin/bash
linecount=`wc -l $1 | sed -E 's/^[[:space:]]+//' | cut -f1 -d' '`
echo "Number of lines: $linecount"
| true |
dfea5c4dc48211ed037d93c7aaeba233ececc06f | Shell | ErikEkstedt/.files | /possible_notes/Installation/misc/misc-links.sh | UTF-8 | 1,067 | 2.890625 | 3 | [] | no_license | #!/bin/bash
echo Create links for Misc-config files:
echo
echo ln -sf ~/.files/vimrc ~/.vimrc
ln -sf ~/.files/nvim/init.vim ~/.vimrc
echo ln -sf ~/.files/gitignore ~/.gitignore
ln -sf ~/.files/gitignore ~/.gitignore
echo ln -sf ~/.files/gitconfig ~/.gitconfig
ln -sf ~/.files/gitconfig ~/.gitconfig
mkdir -p ~/.con... | true |
5e69546215564cde8481cdb8af97d8c972db1dd2 | Shell | ps2420/spring-boot-template | /scripts/status.sh | UTF-8 | 879 | 3.9375 | 4 | [] | no_license |
#!/bin/bash
# Usage: Hello World Bash Shell Script Using Variables
# Author: Vivek Gite
# -------------------------------------------------
# Define bash shell variable called var
# Avoid spaces around the assignment operator (=)
status_component () {
component_name=$1
pid=$(ps -ef | grep java | grep $component... | true |
adce14338244d87647dce4e2734de898f3b9db31 | Shell | nichite/bash-cta | /cta.bash | UTF-8 | 22,081 | 2.796875 | 3 | [
"MIT"
] | permissive | #! /bin/bash
#-------------------------------------------------------------------------------
# cta.bash
# Nic Hite
# 09/22/16
#
# A simple, lightweight CTA tracker written in Bash.
#
# Basically just takes your arguments, does a quick lookup for stop and / or
# station codes, makes a curl request to the CTA API, pars... | true |
29378668becb8de8eb784ae4a5e032fe4f1793f5 | Shell | bdeblis/portal | /Portal/deploy-portal.sh | UTF-8 | 1,848 | 3.3125 | 3 | [] | no_license | #!/bin/bash
if [[ $# -ne 5 ]] ; then
"Invalid number of arguments supplied: deploy-portal-jenkins.sh serverurl jenkinsbuildname jndicontext folder buildnumber|lastSuccessful\
for example deploy-portal.sh gwqa3 Portal-Master-Build qa3 compsource-portal-webui-stripes lastSuccessful"
exit 1
fi
if echo "${5}" |... | true |
9e0f4964eb124cfd029f807b68f1946314f05c82 | Shell | DMBuce/clicraft | /src/lib/action.d/version.sh | UTF-8 | 186 | 2.796875 | 3 | [
"BSD-2-Clause",
"LicenseRef-scancode-warranty-disclaimer"
] | permissive | #!bash
#
# Usage: clicraft version
#
# Prints version information.
#
msg "%s %s" "$PROG" "$VERSION"
msg "Copyright (C) %s" "2011-2014 DMBuce <dmbuce@gmail.com>"
msg "Home page: %s" "<$URL>"
| true |
4edc503c23120b0f4485f82aee57521737d283d7 | Shell | speakinghedge/freepackets_org | /wrt54gl/add2distro/usr/sbin/vpn_report | UTF-8 | 376 | 3.296875 | 3 | [] | no_license | #!/bin/sh
# report script
###############
if [ -f /etc/config/vpn_report ] ; then
. /etc/config/vpn_report
else
logger "vpn_report missing /etc/config/vpn_report"
exit 1
fi
if [ -z "$stats_url" -o -z "$stats_interval" ] ; then
logger "vpn_report invalid configuration"
exit 1
fi
while [ 1 ] ; do
sleep $stats_... | true |
1240d08f199c405f2094bc199dd0337438c26f8b | Shell | LucaScorpion/advent-of-code | /2018/day_1/solution.sh | UTF-8 | 1,109 | 4.4375 | 4 | [] | no_license | #!/bin/bash
set -euo pipefail
input=()
frequency=0
# Frequency calibration.
declare -A frequencies
frequencies['0']=1
calibrated=false
iterations=0
function checkFrequencies
{
# Add one to the frequency counter.
local count=${frequencies["$frequency"]-0}
let count+=1
frequencies["$frequency"]=$count
... | true |
a4633bd0861a3009ab5a1a434edee20a39305198 | Shell | levlukacs/dotfiles | /konsole_tabs.sh | UTF-8 | 1,001 | 3.71875 | 4 | [] | no_license | # Configuration
COMMAND=''
SAVEFILE_TERMINAL="${HOME}/.konsole/current-tabs"
# Restore if asked to
if [ "$1" = "restore" ] ; then
echo "Restoring..."
konsole --tabs-from-file ${SAVEFILE_TERMINAL} -e 'bash -c exit'&
exit 0
fi
# Function to get the current sessions and write them to a file
function getSessi... | true |
e4a8dc92ea28d30c66d1f1c8bae47992cb0baa9c | Shell | gsauthof/dracut-sshd | /ci/setup/upload-ssh-keys.sh | UTF-8 | 981 | 3.0625 | 3 | [] | no_license | #!/bin/bash
# Provision known ssh keys to a VM
# 2019, Georg Sauthoff <mail@gms.tf>
set -eux
PS4='+${SECONDS}s '
host=localhost
port=10022
known_hosts=known_horsts
key=key/dracut-ssh-travis-ci-insecure-ed25519
scp -F /dev/null -o IdentityFile=$key \
-o IdentitiesOnly=yes -o PreferredAuthentications=publickey \... | true |
d5e3cce4e7fc81f4c9530b00ef60b022c8639c0b | Shell | fevrin/home | /.shellrc.d/functions/_find_unscoped_vars | UTF-8 | 1,639 | 3.9375 | 4 | [] | no_license | #!/bin/bash
_find_unscoped_vars() {
local files="${@:-$HOME/.bashrc.d/functions/*}"
local unscoped_vars
local var_chars="[a-zA-Z_0-9]"
local var_assignment_chars="([][()*/%+&^|<>-]|<<|>>)"
local FILES_PROCESSED=0
for file in $files; do
file -L --mime-type "$file" | grep -q 'text/x-shellscript'... | true |
ba2fd3aceee847ab9fbf8ab21a8f03c0ef54b33b | Shell | Flexberry/NewPlatform.Flexberry.ORM | /Docker/Postgres/scripts/swarm/exec.sh | UTF-8 | 132 | 2.8125 | 3 | [
"MIT"
] | permissive | #!/bin/sh
set -- `docker ps | grep flexberry/alt.p8-postgresql:latest`
id=$1
if [ "$id" ]
then
docker exec -it $id bash
fi
| true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.